unit Rrsqlabt;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, TabNotBk, StdCtrls, Buttons, rrsql65, ExtCtrls;

type
  TRRSQLAbout = class(TForm)
    Label1: TLabel;
    OKBtn: TBitBtn;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    Label12: TLabel;
    AddressPanel: TPanel;
    Label13: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label10: TLabel;
    ToolBar: TPanel;
    ClearBtn: TSpeedButton;
    ResetBtn: TSpeedButton;
    PrintBtn: TSpeedButton;
    SortBtn: TSpeedButton;
    RelationBtn: TSpeedButton;
    SelectPrnBtn: TSpeedButton;
    LoadReportBtn: TSpeedButton;
    PreviewBtn: TSpeedButton;
    UserBtn: TSpeedButton;
    TextLoadBtn: TSpeedButton;
    TextSaveBtn: TSpeedButton;
    AuthorPanel: TPanel;
    InfoMemo: TMemo;
    FilterBtn: TSpeedButton;
    DirBtn: TSpeedButton;
    procedure TextSaveBtnClick(Sender: TObject);
    procedure TextLoadBtnClick(Sender: TObject);
    procedure UserBtnClick(Sender: TObject);
    procedure SortBtnClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure LoadReportBtnClick(Sender: TObject);
    procedure SelectPrnBtnClick(Sender: TObject);
    procedure ClearBtnClick(Sender: TObject);
    procedure PreviewBtnClick(Sender: TObject);
    procedure DirBtnClick(Sender: TObject);
    procedure FilterBtnClick(Sender: TObject);
    procedure RelationBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Report:TRRSQL65;
  end;

var
  RRSQLAbout: TRRSQLAbout;

implementation

{$R *.DFM}

procedure TRRSQLAbout.TextSaveBtnClick(Sender: TObject);
begin
  if savedialog1.execute then Report.SaveToFile(savedialog1.filename);
end;

procedure TRRSQLAbout.TextLoadBtnClick(Sender: TObject);
begin
  if opendialog1.execute then Report.LoadFromFile(opendialog1.filename);
end;

procedure TRRSQLAbout.UserBtnClick(Sender: TObject);
begin
  report.SelectUserParams;
end;

procedure TRRSQLAbout.SortBtnClick(Sender: TObject);
begin
  report.SelectSortFields;
end;

procedure TRRSQLAbout.ResetBtnClick(Sender: TObject);
begin
  report.loadfromreport;
end;

procedure TRRSQLAbout.PrintBtnClick(Sender: TObject);
var
  OldDest:TrrDest;
begin
  OldDest:=Report.OutputDest;
  Report.OutputDest:=rrdPrinter;
  Report.Execute;
  Report.OutPutDest:=OldDest;
end;

procedure TRRSQLAbout.LoadReportBtnClick(Sender: TObject);
begin
  Report.ReportLibrary:='';
  Report.ReportName:='';
  Report.SelectReportName;
end;

procedure TRRSQLAbout.SelectPrnBtnClick(Sender: TObject);
begin
  Report.SelectPrinter;
end;

procedure TRRSQLAbout.ClearBtnClick(Sender: TObject);
begin
  Report.Clear;
end;

procedure TRRSQLAbout.PreviewBtnClick(Sender: TObject);
begin
  Report.Preview;
end;

procedure TRRSQLAbout.DirBtnClick(Sender: TObject);
begin
  report.selectdirs;
end;

procedure TRRSQLAbout.FilterBtnClick(Sender: TObject);
begin
  report.selectfilter;
end;

procedure TRRSQLAbout.RelationBtnClick(Sender: TObject);
begin
  report.selectjoins;
end;

end.
